classification
Title: 2to3, lambda with non-tuple argument inside parenthesis
Type: Stage:
Components: 2to3 (2.x to 3.x conversion tool) Versions:
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: collinwinter Nosy List: collinwinter, falsetru, georg.brandl, gvanrossum
Priority: normal Keywords:

Created on 2007-09-05 05:52 by falsetru, last changed 2007-09-08 21:16 by collinwinter. This issue is now closed.

Files
File name Uploaded Description Edit
2to3_lambda_nontuple_param.diff falsetru, 2007-09-05 05:52
Messages (4)
msg55654 - (view) Author: Jeong-Min Lee (falsetru) Date: 2007-09-05 05:52
lambda (x): x

should be transformed to 

lambda x: x

not
lambda x1: x1[0]
msg55655 - (view) Author: Jeong-Min Lee (falsetru) Date: 2007-09-05 05:56
I found this while 2to3ing BeautifulSoup.py.
msg55659 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2007-09-05 06:47
Assigned to Collin.
msg55755 - (view) Author: Collin Winter (collinwinter) * (Python committer) Date: 2007-09-08 21:16
Fixed in r58055, r58056.
History
Date User Action Args
2007-09-08 21:16:31collinwintersetstatus: open -> closed
resolution: fixed
messages: + msg55755
2007-09-06 17:58:09collinwintersetcomponents: + 2to3 (2.x to 3.x conversion tool), - Demos and Tools
2007-09-05 06:47:09georg.brandlsetassignee: collinwinter
messages: + msg55659
nosy: + georg.brandl, collinwinter
title: [patch] 2to3, lambda with non-tuple argument inside parenthesis -> 2to3, lambda with non-tuple argument inside parenthesis
2007-09-05 05:56:42falsetrusetmessages: + msg55655
2007-09-05 05:52:58falsetrucreate